| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::fast_pool_allocator::rebind — Nested class rebind allows for transformation from fast_pool_allocator<T> to fast_pool_allocator<U>.

## Synopsis

    // In header: <boost/pool/pool_alloc.hpp>

    // Nested class rebind allows for transformation from fast_pool_allocator<T>
    // to fast_pool_allocator<U>.
    template<typename U>
    struct rebind {
      // types
      typedef fast_pool_allocator< U, UserAllocator, Mutex, NextSize, MaxSize > other;
    };

## Description

Nested class rebind allows for transformation from fast_pool_allocator<T> to fast_pool_allocator<U> via the member typedef other.